/**
  *  \file planetscentral/format/stringpacker.h
  *  \brief Format - String Packer
  */
#ifndef C2SERVER_PLANETSCENTRAL_FORMAT_STRINGPACKER_H
#define C2SERVER_PLANETSCENTRAL_FORMAT_STRINGPACKER_H

#include "planetscentral/format/packer.h"

/** Packer for strings. A simple packer that doesn't do anything;
    can be used to load text files. */
class StringPacker : public Packer {
 public:
    virtual string_t pack(IntValue* data);
    virtual IntValue* unpack(const string_t& data);
};

#endif
