/**
  *  \file planetscentral/host/rating.h
  *  \brief Host Server: Difficulty Ratings
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_RATING_H
#define C2SERVER_PLANETSCENTRAL_HOST_RATING_H

#include "cpluslib/string.h"

class Game;
class DbClient;

int computeToolRating(string_t dir);
int computeGameRating(DbClient& conn, Game& g);

#endif
